# Class CIM_EndpointForIPNetworkConnection
extends CIM_SAPSAPDependency

CIM_EndpointForIPNetworkConnection associates the instance of CIM_IPNetworkConnection with the communication endpoint ( Eg "CIM_LANEndpoint". )

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SAPSAPDependency
|
+--CIM_EndpointForIPNetworkConnection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_EndpointForIPNetworkConnection associates the instance of CIM_IPNetworkConnection with the communication endpoint ( Eg "CIM_LANEndpoint". )
UMLPackagePath | string | CIM::Network::IP
Version | string | 2.32.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_EndpointForIPNetworkConnection | CIM_ProtocolEndpoint
Dependent | CIM_EndpointForIPNetworkConnection | CIM_IPNetworkConnection

## Class Methods